<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Order extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function __construct()
        {
                parent::__construct();
                $this->load->model('admin/Add_order_model');
                $this->load->model('admin/Add_banner_model');
                $this->load->library('session');
        }
	public function index()
	{
		$sl_data['banner'] = $this->Add_banner_model->get_all();
		$this->load->view('header', $sl_data);
		$this->load->view('order');
		$this->load->view('footer');
	}

	public function online_order($ord)
	{
		$data['ord'] = $ord;
		$sl_data['banner'] = $this->Add_banner_model->get_all();
		$this->load->view('header', $sl_data);
		$this->load->view('order', $data);
		$this->load->view('footer');
	}

	public function add_order()
	{
		$data = $this->Add_order_model->db_insert($_POST);
        $product_slug = $_POST['product_slug'];
		if($data == 1){
			redirect('Order/thankyou');
		}elseif ($data == 4){
		    $this->session->set_flashdata('error', "Please Fill all fields of Order Form , Thanks");
		    redirect('product/'.$product_slug);
        }
	}

	public function thankyou()
	{
        $sl_data['banner'] = $this->Add_banner_model->get_all();
		$this->load->view('header', $sl_data);
		$this->load->view('thankyou');
		$this->load->view('footer');
	}

	public function rating()
	{
		$data = $this->Add_order_model->db_insert_review($_POST);
		$sl = $_POST['product_slug'];
		if($data == 1){
			$this->session->set_flashdata("success"," Thanks For Your Review");
			redirect('product/'.$sl);
		}

	}
}
